%define srcname coverage
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-%{srcname}
Version:        3.7
Release:        %mkrel 1
Summary:        Code coverage measurement for Python
Group:          Development/Python
License:        BSD
URL:            http://nedbatchelder.com/code/coverage
Source0:        http://pypi.python.org/packages/source/c/coverage/%{srcname}-%{version}.tar.gz
BuildRequires:  python-setuptools
BuildRequires:  pkgconfig(python)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools 

%description
Coverage.py measures code coverage, typically during test execution. It
uses the code analysis tools and tracing hooks provided in the Python
standard library to determine which lines are executable, and which have
been executed.

%package -n python3-%{srcname}
Summary:        Code coverage measurement for Python 3
Group:          Development/Python

%description -n python3-%{srcname}
Coverage.py measures code coverage, typically during test execution. It
uses the code analysis tools and tracing hooks provided in the Python 3
standard library to determine which lines are executable, and which have
been executed.

%prep
%setup -q -n %{srcname}-%{version}

find . -type f -exec chmod 0644 \{\} \;
sed -i 's/\r//g' README.txt

cp -a . %{py3dir}
pushd %{py3dir}
2to3 --nobackups --write .
popd

%build
pushd %{py3dir}
%{__python3} setup.py build

popd
%{__python} setup.py build

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
mv %{buildroot}/%{_bindir}/coverage %{buildroot}/%{_bindir}/python3-coverage
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.txt
%{_bindir}/coverage
%{_bindir}/coverage2
%{_bindir}/coverage-2*
%{python_sitearch}/coverage/
%{python_sitearch}/coverage*.egg-info/

%files -n python3-%{srcname}
%{_bindir}/coverage-3*
%{_bindir}/coverage3
%{_bindir}/python3-coverage
%{python3_sitearch}/coverage/
%{python3_sitearch}/coverage*.egg-info/


%changelog
* Mon Jun 15 2015 gseaman <galen.seaman at comcast.net> 3.7-1gseaman2015
- build for PCLinuxOS from Mageia spec
